gnutls_transport_set_lowat(3)

NAME
gnutls_transport_set_lowat - Used to set the lowat value in order for select to check for pending data.

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_lowat(gnutls_session_t session, int num);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

int num
    is the low water value.

DESCRIPTION
Used to set the lowat value in order for select to check if there are pending data to socket buffer. Used only if you have changed the default low water value (default is 1). Normally you will not need that function. This function is only useful if using berkeley style sockets. Otherwise it must be called and set lowat to zero.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.